package com.ruoyi.dz.service;

import java.util.Collection;
import java.util.List;
import com.ruoyi.dz.domain.DzAgent;

/**
 * 机构代理Service接口
 *
 * @author ruoyi
 * @date 2025-09-12
 */
public interface IDzAgentService
{
    /**
     * 查询机构代理
     *
     * @param agentId 机构代理主键
     * @return 机构代理
     */
    public DzAgent selectDzAgentByAgentId(Long agentId);
    public DzAgent selectDzAgentByUserId(Long userId);
    public List<DzAgent> selectDzAgentByAgentIds( Collection<Long> ids);
    public List<DzAgent> selectDzAgentByUserIds(Collection<Long> userIds);

    /**
     * 查询机构代理列表
     *
     * @param dzAgent 机构代理
     * @return 机构代理集合
     */
    public List<DzAgent> selectDzAgentList(DzAgent dzAgent);

    /**
     * 新增机构代理
     *
     * @param dzAgent 机构代理
     * @return 结果
     */
    public int insertDzAgent(DzAgent dzAgent);

    /**
     * 修改机构代理
     *
     * @param dzAgent 机构代理
     * @return 结果
     */
    public int updateDzAgent(DzAgent dzAgent);

    /**
     * 批量删除机构代理
     *
     * @param agentIds 需要删除的机构代理主键集合
     * @return 结果
     */
    public int deleteDzAgentByAgentIds(Long[] agentIds);

    /**
     * 删除机构代理信息
     *
     * @param agentId 机构代理主键
     * @return 结果
     */
    public int deleteDzAgentByAgentId(Long agentId);
}
